PETSc version 3.15.5
Fix/Edit manual page

# SNESGetErrorIfNotConverged

Will SNESSolve() generate an error if the solver does not converge?

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESGetErrorIfNotConverged(SNES snes,PetscBool  *flag)

Not Collective

### Input Parameter

| snes | - iterative context obtained from SNESCreate()

### Output Parameter

| flag | - PETSC_TRUE if it will generate an error, else PETSC_FALSE

### See Also

SNESSetErrorIfNotConverged(), KSPGetErrorIfNotConverged(), KSPSetErrorIFNotConverged()

### Level

intermediate

### Location

src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages